INCLUDES = $(all_includes)
METASOURCES = AUTO

lib_LTLIBRARIES = libsmb4kcore.la
libsmb4kcore_la_LDFLAGS = -no-undefined $(all_libraries) -ltdewalletclient \
	-version-info 2:0:0
include_HEADERS = smb4kauthinfo.h smb4kbookmark.h smb4kbookmarkhandler.h \
	smb4kcore.h smb4kdefs.h smb4kerror.h smb4tdefileio.h smb4tdeglobal.h \
	smb4khomesshareshandler.h smb4kmounter.h smb4knetworkitems.h \
	smb4kpasswordhandler.h smb4kpreviewer.h smb4kpreviewitem.h \
	smb4kprint.h smb4kprintinfo.h smb4ksambaoptionshandler.h \
	smb4ksambaoptionsinfo.h smb4kscanner.h smb4kshare.h \
	smb4ksynchronizationinfo.h smb4ksynchronizer.h
libsmb4kcore_la_SOURCES = smb4kauthinfo.cpp smb4kbookmark.cpp \
	smb4kbookmarkhandler.cpp smb4kcore.cpp smb4kerror.cpp smb4tdefileio.cpp smb4tdeglobal.cpp \
	smb4kglobal_p.cpp smb4khomesshareshandler.cpp smb4kmounter.cpp smb4kmounter_p.cpp \
	smb4knetworkitems.cpp smb4kpasswordhandler.cpp smb4kpreviewer.cpp smb4kpreviewitem.cpp \
	smb4kprint.cpp smb4kprintinfo.cpp smb4ksambaoptionshandler.cpp \
	smb4ksambaoptionsinfo.cpp smb4kscanner.cpp smb4kscanner_p.cpp smb4ksettings.kcfgc smb4kshare.cpp \
	smb4ksynchronizationinfo.cpp smb4ksynchronizer.cpp
libsmb4kcore_la_LIBADD = $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO) $(LIB_QT)

kde_kcfg_DATA = smb4k.kcfg

# Build rules
smb4kcore.lo: smb4ksettings.h
smb4tdefileio.lo: smb4ksettings.h
smb4kmounter.lo: smb4ksettings.h
smb4kpasswordhandler.lo: smb4ksettings.h
smb4kprint.lo: smb4ksettings.h
smb4ksambaoptionshandler.lo: smb4ksettings.h
smb4kscanner.lo: smb4ksettings.h
smb4ksynchronizer.lo: smb4ksettings.h

noinst_HEADERS = smb4kglobal_p.h smb4kmounter_p.h smb4kscanner_p.h
